Subject: bug#22414: 24.5; GNUS - No such function: nnregistry-request-group

From: Björn Bidar <[email-masked]>
Date: Tue, 04 Feb 2025 15:11:05 +0200

Robert Pluim <[email-masked]> writes:

>>>>>> On Tue, 04 Feb 2025 13:43:13 +0200, Björn Bidar <[email-masked]> said:
>
>     Björn> Robert Pluim <[email-masked]> writes:
>     >>>>>>> On Mon, 03 Feb 2025 13:57:20 +0200, Björn Bidar <[email-masked]> said:
>     >> 
>     Björn> Robert Pluim <[email-masked]> writes:
>     >> >>>>>>> On Sat, 01 Feb 2025 13:39:50 +0200, Eli Zaretskii <[email-masked]> said:
>     >> >> 
>     >> >> >> Cc: [email-masked], Live System User <[email-masked]>
>     >> >> >> Date: Wed, 22 Jan 2025 01:43:57 +0200
>     >> >> >> From:  Björn Bidar via "Bug reports for GNU Emacs,
>     >> >> >> the Swiss army knife of text editors" <[email-masked]>
>     >> >> >> 
>     >> >> >> This patch should fix the issue I think. Please review.
>     >> >> 
>     Eli> Thanks.  Could people who use Gnus please take a look and comment?
>     >> >> 
>     >> >> Looks ok to me, although I donʼt use the Gnus registry. The commit
>     >> >> message could be clearer, though.
>     >> 
>     Björn> How exactly?
>     >> 
>     >> I guess you understand this sentence, but I donʼt:
>     >> 
>     >> nnregistry doesn't handle
>     >> any servers or groups define the dummy function so Gnus-registry
>     >> works as refer article method
>     >> 
>
>     Björn> What do you not understand about it? nnregistry doesn't handle servers
>     Björn> or groups so it needs the dummy function to  pass through the
>     Björn> gnus-check-group-server function. If there's context missing check the
>     Björn> other functions in nnregistry.el.
>
> So what I hope you mean is:
>
>     nnregistry doesnʼt actually handle servers or groups, however we need
>     to define a dummy function for it in order to satisfy the
>     gnus-check-group-server function.
>
> Robert

That does sound a little condescending to say you hope what I am saying.
I'm not a native speaker but I think I can speak well enough to be
understandable. 
Yes that is essentially what I'm trying to say but I want to highlight
that you take the sentence out of context. The full message was:

     Add function for gnus-check-group-server.  nnregistry doesn't handle
     any servers or groups define the dummy function so Gnus-registry
     works as refer article method.

Did you read the first sentence? Maybe it should have been:

     Add function for gnus-check-group-server function.  nnregistry doesn't handle
     any servers or groups define the dummy function so Gnus-registry
     works as refer article method.